use diesel::connection::Connection as _;

pub use barrel::backend::Sqlite as SqlGenerator;
pub use diesel::sqlite::SqliteConnection as Connection;

pub struct Database {
    pub db_file: &'static str,
}

impl Database {
    pub fn connect(&self) -> diesel::ConnectionResult<Connection> {
        Connection::establish(self.db_file)
    }
}

impl Default for Database {
    fn default() -> Self {
        Self {
            db_file: "db.sqlite3",
        }
    }
}
